<?php
function pflichtfelder(){
global $db;
for ($i= 1;$i<= 12;$i++)
{

$vert		= $_POST[vert.$i];
$stellenart	= $_POST[stellenart.$i]; // Vom Formular gesendetes Objekt in Variable schreiben
$dst_unbek	= $_POST[dst_unbek.$i];
$bezeichnung	= $_POST[bezeichnung.$i];
$str		= $_POST[str.$i];
$postfach	= $_POST[postfach.$i];
$plz		= $_POST[plz.$i];
$ort		= $_POST[ort.$i];
$bundesland	= $_POST[bundesland.$i];
$staat		= $_POST[staat.$i];
$beginndatum	= $_POST[beg_jahr.$i].'-'.$_POST[beg_mon.$i].'-'.$_POST[beg_tag.$i];
$enddatum	= $_POST[ende_jahr.$i].'-'.$_POST[ende_mon.$i].'-'.$_POST[ende_tag.$i];
$abteilung	= $_POST[abteilung.$i];
$telabteilung	= $_POST[telabteilung.$i];
$plz_postfach	= $_POST[plz_postfach.$i];
$maildst	= $_POST[maildst.$i];
$postfach	= $_POST[postfach.$i];




## Beim 4-blockfeld gibt es nur die blöcke 1,4,7 und 10.
## Die Textfelder sind somit nicht gesetzt. daher werden diese in dem Fall
## mit einem Standardwert versehen, damit man nicht auf Fehler beim abpseichern läuft

# Stellenart 1: "keine Stelle - Datensatz wird nicht gespeichert"
if(!isset($_POST[stellenart.$i])){$stellenart=1;}



  if($stellenart != '1'){
    # Cookie für Zurückbutton
    setcookie('ck_vert'.$i, $vert);
    setcookie('ck_stellenart'.$i, $stellenart);
    setcookie('ck_dst_unbek'.$i, $dst_unbek);
    setcookie('ck_bezeichnung'.$i, $bezeichnung);
    setcookie('ck_str'.$i, $str);
    setcookie('ck_postfach'.$i, $postfach);
    setcookie('ck_plz'.$i, $plz);
    setcookie('ck_ort'.$i, $ort);
    setcookie('ck_bundesland'.$i, $bundesland);
    setcookie('ck_staat'.$i, $staat);
    setcookie('ck_beg_jahr'.$i, $_POST[beg_jahr.$i]);
    setcookie('ck_beg_mon'.$i, $_POST[beg_mon.$i]);
    setcookie('ck_beg_tag'.$i, $_POST[beg_tag.$i]);
    setcookie('ck_ende_jahr'.$i, $_POST[ende_jahr.$i]);
    setcookie('ck_ende_mon'.$i, $_POST[ende_mon.$i]);
    setcookie('ck_ende_tag'.$i, $_POST[ende_tag.$i]);
    setcookie('ck_maildst'.$i, $maildst);
    setcookie('ck_abteilung'.$i, $abteilung);
    setcookie('ck_telabteilung'.$i, $telabteilung);
    setcookie('ck_plz_postfach'.$i, $plz_postfach);
    setcookie('ck_postfach'.$i, $postfach);
    


    if(($beginndatum == 'JJJJ-MM-TT' OR $beginndatum == '--' OR $enddatum == 'JJJJ-MM-TT' OR $enddatum == '--') AND $dst_unbek == ''){

	switch($i){
		case 1:
			$vertiefungsbereich[] = '1';
			$meldung[] = "ersten Zeitraum";
			break;
		case 2:
			$vertiefungsbereich[] = '1';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 3:
			$vertiefungsbereich[] = '1';
			$meldung[] = "dritten Zeitraum";
			break;
		case 4:
			$vertiefungsbereich[] = '2';
			$meldung[] = "ersten Zeitraum";
			break;
		case 5:
			$vertiefungsbereich[] = '2';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 6:
			$vertiefungsbereich[] = '2';
			$meldung[] = "dritten Zeitraum";
			break;
		case 7:
			$vertiefungsbereich[] = '3';
			$meldung[] = "ersten Zeitraum";
			break;
		case 8:
			$vertiefungsbereich[] = '3';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 9:
			$vertiefungsbereich[] = '3';
			$meldung[] = "dritten Zeitraum";
			break;
		case 10:
			$vertiefungsbereich[] = '4';
			$meldung[] = "ersten Zeitraum";
			break;
		case 11:
			$vertiefungsbereich[] = '4';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 12:
			$vertiefungsbereich[] = '4';
			$meldung[] = "dritten Zeitraum";
			break;
	}
      $do_messg = 'X';  // Es wurde eine Pflichtfeldverletzung gefunden
    }
  }
  
  $db = dbconnect();
  $res_stellanrt = $db->query("SELECT Merkmal
                                  FROM stan_stellenart
                                 WHERE artid='$stellenart'
                              ");
  
  $row_art = $res_stellanrt->fetch_array();
  

  // bei Auslandsaufenthalten reicht es aus, wenn der Zeitraum eingetragen wird
  if($stellenart != '1'AND $row_art[Merkmal] != 'AS' AND $dst_unbek == ''){
    if($bezeichnung == '' OR $str == '' OR $plz == '' OR $ort == '' OR $bundesland == '' OR $staat == '' OR $maildst == ''){

	switch($i){
		case 1:
			$vertiefungsbereich[] = '1';
			$meldung[] = "ersten Zeitraum";
			break;
		case 2:
			$vertiefungsbereich[] = '1';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 3:
			$vertiefungsbereich[] = '1';
			$meldung[] = "dritten Zeitraum";
			break;
		case 4:
			$vertiefungsbereich[] = '2';
			$meldung[] = "ersten Zeitraum";
			break;
		case 5:
			$vertiefungsbereich[] = '2';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 6:
			$vertiefungsbereich[] = '2';
			$meldung[] = "dritten Zeitraum";
			break;
		case 7:
			$vertiefungsbereich[] = '3';
			$meldung[] = "ersten Zeitraum";
			break;
		case 8:
			$vertiefungsbereich[] = '3';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 9:
			$vertiefungsbereich[] = '3';
			$meldung[] = "dritten Zeitraum";
			break;
		case 10:
			$vertiefungsbereich[] = '4';
			$meldung[] = "ersten Zeitraum";
			break;
		case 11:
			$vertiefungsbereich[] = '4';
			$meldung[] = "zweiten Zeitraum";
			break;
		case 12:
			$vertiefungsbereich[] = '4';
			$meldung[] = "dritten Zeitraum";
			break;
	}
      $do_messg = 'X';  // Es wurde eine Pflichtfeldverletzung gefunden
    }

  }
  
  
  
 if($stellenart != '1'){

  if (checkdate($_POST[beg_mon.$i], $_POST[beg_tag.$i], $_POST[beg_jahr.$i]) == 0) { // checkdate liefert 0 & 1 zur&uuml;ck: 0 wenn Datum falsch, 1 wenn Datum richtig
  echo "
  
  
  <html>
  <head>
  <meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
  <link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
  <title>Falsches Datum</title>
  </head>
  <body>
  <table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
      <tr>
          <td>
          <div align=\"center\">
              <table cellspacing=\"0\" cellpadding=\"0\" width=\"550\" border=\"0\">
                  <tr>
                      <td width=\"10\" background=\"../images/box_e1.gif\">
                      <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                      <td width=\"95%\" background=\"../images/box_top.gif\">
                      <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                      <span class=\"sh\">Falsches Datum</span><br>
                      <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                      <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                      <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                  </tr>
                  <tr>
                      <td width=\"1%\" background=\"../images/box_l.gif\">
                      <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td colspan=\"2\"><br>
                      <p align=\"center\"><b>Bitte prüfen Sie Ihre Anmeldebeginntermine. Sie sind entweder falsch<br>oder das Datum existiert nicht!</p></b>
                      </p>
                      <p align=\"center\"><a href=\"".$_SERVER['PHP_SELF']."?back=1\">
                      <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                      </p>
                      <p></p>
                      <p></p>
                      <p></p>
                      <p></p>
                      <p><br>
                      </p>
                      </td>
                      <td width=\"1%\" background=\"../images/box_r.gif\">
                      <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                  </tr>
                  <tr>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                      <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                  </tr>
              </table>
          </div>
          </td>
      </tr>
  </table>
  </body>
  </html>";
  exit;
  } // Ende Beginndatums&uuml;berpr&uuml;fung
  
  
  if (checkdate($_POST[ende_mon.$i], $_POST[ende_tag.$i], $_POST[ende_jahr.$i]) == 0) { // checkdate liefert 0 & 1 zur&uuml;ck: 0 wenn Datum falsch, 1 wenn Datum richtig
  echo "
  
  
  <html>
  <head>
  <meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
  <link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
  <title>Falsches Datum</title>
  </head>
  <body>
  <table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
      <tr>
          <td>
          <div align=\"center\">
              <table cellspacing=\"0\" cellpadding=\"0\" width=\"550\" border=\"0\">
                  <tr>
                      <td width=\"10\" background=\"../images/box_e1.gif\">
                      <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                      <td width=\"95%\" background=\"../images/box_top.gif\">
                      <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                      <span class=\"sh\">Falsches Datum</span><br>
                      <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                      <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                      <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                  </tr>
                  <tr>
                      <td width=\"1%\" background=\"../images/box_l.gif\">
                      <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td colspan=\"2\"><br>
                      <p align=\"center\"><b>Bitte prüfen Sie Ihre Anmeldeendtermine. Sie sind entweder falsch<br>oder das Datum existiert nicht!</p></b>
                      </p>
                      <p align=\"center\"><a href=\"".$_SERVER['PHP_SELF']."?back=1\">
                      <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                      </p>
                      <p></p>
                      <p></p>
                      <p></p>
                      <p></p>
                      <p><br>
                      </p>
                      </td>
                      <td width=\"1%\" background=\"../images/box_r.gif\">
                      <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                  </tr>
                  <tr>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                      <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                      <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                      <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                  </tr>
              </table>
          </div>
          </td>
      </tr>
  </table>
  </body>
  </html>";
  exit;
  } // Ende Beginndatums&uuml;berpr&uuml;fung
  
 } // Wenn Stellenart != 1 ist dann Pflichtfeldprüfung Datum
  
 
  
  
  
  
}

if($do_messg == 'X'){

echo"
<html>
<head>
<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
<link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
<title>Anmeldung[]en noch nicht m&ouml;glich!</title>
</head>
<body>
<table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
    <tr>
        <td>
        <div align=\"center\">
            <table cellspacing=\"0\" cellpadding=\"0\" width=\"80%\" border=\"0\">
                <tr>
                    <td width=\"10\" background=\"../images/box_e1.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                    <td width=\"95%\" background=\"../images/box_top.gif\">
                    <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                    <span class=\"sh\">Pflichtfelder!</span><br>
                    <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td width=\"1%\" background=\"../images/box_l.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td colspan=\"2\"><br>";
                    for ($j=0;$j<sizeof($vertiefungsbereich);$j++) {
                      echo"Es wurden nicht alle Pflichtfelder in <b>Vertiefungsbereich $vertiefungsbereich[$j]</b> im $meldung[$j] ausgefüllt!<br>";
                    }
                    echo"
                    <p align=\"center\"><a href=\"".$_SERVER['PHP_SELF']."?back=1\">
                    <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                    </p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p><br>
                    </p>
                    </td>
                    <td width=\"1%\" background=\"../images/box_r.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                </tr>
            </table>
        </div>
        </td>
    </tr>
</table>
</body>
</html>";
exit;

} # Ende for-Schleife
} # Ende Function
?>